# Uses of Class
com.sun.net.httpserver.HttpContext

Packages that use HttpContext
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of HttpContext in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return HttpContext
Modifier and Type
Method
Description
`abstract HttpContext`
HttpServer.`createContext(String path)`
Creates a HttpContext without initially specifying a handler.
`abstract HttpContext`
HttpServer.`createContext(String path, HttpHandler handler)`
Creates a `HttpContext`.
`abstract HttpContext`
HttpExchange.`getHttpContext()`
Get the `HttpContext` for this exchange.
Methods in com.sun.net.httpserver with parameters of type HttpContext
Modifier and Type
Method
Description
`abstract void`
HttpServer.`removeContext(HttpContext context)`
Removes the given context from the server.